<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * X-Cart
 *
 *
 * @category  X-Cart 5
 * @author    Z-Payment
 * @copyright Copyright (c) 2011-2014 Z-Payment
 * @link      https://z-payment.com/
 */


namespace XLite\Module\Zpayment\Zpayment;

/**
 * Z-Payment payment system integration
 */
abstract class Main extends \XLite\Module\AModule
{
    /**
     * Author name
     *
     * @return string
     */
    public static function getAuthorName()
    {
        return 'X-Cart team';
    }

    /**
     * Module name
     *
     * @return string
     */
    public static function getModuleName()
    {
        return 'Z-Payment';
    }

    /**
     * Get module major version
     *
     * @return string
     */
    public static function getMajorVersion()
    {
        return '5.1';
    }

    /**
     * Module version
     *
     * @return string
     */
    public static function getMinorVersion()
    {
        return '0';
    }

    /**
     * Fet description 
     * 
     * @return string
     */
    public static function getDescription()
    {
        return 'Enables receiving payments for your online store via Z-Payment payment system';
    }

    /**
     * Determines if we need to show settings form link
     * 
     * @return boolean
     */
    public static function showSettingsForm()
    {
        return false;
    }
}
